46b24d06e9d8cebc3b473e26f415664ec9a5b80d
[debian/amanda] / amar-src / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Makefile for Amanda archive library
19
20 # vim:ft=automake
21 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
22
23 # This library is free software; you can redistribute it and/or modify it
24 # under the terms of the GNU Lesser General Public License version 2.1 as 
25 # published by the Free Software Foundation.
26
27 # This library is distributed in the hope that it will be useful, but
28 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
29 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
30 # License for more details.
31
32 # You should have received a copy of the GNU Lesser General Public License
33 # along with this library; if not, write to the Free Software Foundation,
34 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
35
36 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
37 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
38
39 # simple include file to pre-define variables which are then +='d by other
40 # scripts in this directory.
41
42 # vim:ft=automake
43 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
44
45 # This library is free software; you can redistribute it and/or modify it
46 # under the terms of the GNU Lesser General Public License version 2.1 as 
47 # published by the Free Software Foundation.
48
49 # This library is distributed in the hope that it will be useful, but
50 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
51 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
52 # License for more details.
53
54 # You should have received a copy of the GNU Lesser General Public License
55 # along with this library; if not, write to the Free Software Foundation,
56 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
57
58 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
59 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
60
61 # SYNOPSIS:
62 #
63 # Automake magic to handle the various tasks of building scripts.  Scripts can
64 # be built down to extensionless executables (e.g., foo.pl -> foo), or to 
65 # files with the usual extension (foo-lib.sh.in -> foo.sh).
66 #
67 # Files which support it are syntax-checked when the user invokes 'make check'.
68 #
69 # All *target* filenames must be listed in SCRIPTS_SHELL, SCRIPTS_PERL, and 
70 # SCRIPTS_AWK to support 'make check', 'make dist', and 'make distclean'. No
71 # files which are not substituted by config.status should be included in
72 # SCRIPTS_PERL, SCRIPTS_SHELL, or SCRIPTS_AWK.  If non-generated files are listed
73 # for installation, then Automake will figure out that they should be distributed;
74 # otherwise, include them in EXTRA_DIST.
75 #
76 # USAGE:
77 #
78 #   include $(top_srcdir)/config/automake/vars.am
79 #   include $(top_srcdir)/config/automake/scripts.am
80 #   ...
81 #   SCRIPTS_PERL = fooscript barscript perl-lib.pl perlmod.pm
82 #   SCRIPTS_SHELL = shell1 shell2 sh-lib.sh
83 #   SCRIPTS_AWK = talk balk chalk awk-lib.awk
84 #   sbin_SCRIPTS = not-subbed
85 #   EXTRA_DIST = util-script.pl
86 #
87 # with the corresponding files in the repository:
88 #
89 #   fooscript.pl barscript.pl perl-lib.pl.in perlmod.pm.in
90 #   shell1.sh shell2.sh sh-lib.sh.in
91 #   talk.awk balk.awk chalk.awk awk-lib.awk.in
92 #   not-subbed util-script.pl
93 #
94 # by default, all shell and perl scripts are syntax checked.  If this is
95 # a problem (for example, perl scripts depending on Amanda extension 
96 # modules), then assign to CHECK_{PERL,SHELL} the list of files you wish
97 # to be checked (which can be empty).
98 #
99 # To add extra flags to the perl checks (e.g., to add new -I flags), set
100 # CHECK_PERL_FLAGS.
101
102 # Implementation note:
103 #
104 # This file uses config.status to substitute @foo@ in those scripts while
105 # converting them. It also adds the executable bits (a+x) to extensionless
106 # files.  The substitution works even though the files are not listed in 
107 # configure.in
108
109 # vim:ft=automake
110 #
111 # Adjust post-install permissions settings.  This rule works off two
112 # specially-formatted variables, INSTALLPERMS_exec and INSTALLPERMS_data. 
113 # Each is a whitespace-separated list of commands, all of which are either
114 # a variable assignment or a filename.  Three variables are available:
115 #
116 #  - dest= sets the destination directory to e.g., $(sbindir)
117 #  - chown= controls changes in ownership; value is first argument to chown
118 #  - chmod= controls changes in permissions; value is first argument to chmod
119 #
120 # As a special case, chown=amanda is taken as equivalent to 
121 # chown=$(BINARY_OWNER):$(SETUID_GROUP), which may otherwise have problems with
122 # whitespace in the user/group names.
123
124 # when a filename is seen, the currently active variables are applied.
125 #
126 # Note that scripts are data, not executables!
127 #
128 # EXAMPLE
129 #
130 # sbin_PROGRAMS = foo bar bing
131 # libexec_PROGRAMS = pro gram
132 # sbin_SCRIPTS = sk ript
133 # INSTALLPERMS_exec = \
134 #       dest=$(sbindir) chown=amanda chmod= \
135 #               foo bar \
136 #       chmod=07450 \
137 #               bing
138 #       dest=$(libexecdir) chmod= \
139 #               $(libexec_PROGRAMS)
140 # INSTALLPERMS_data = \
141 #       dest=$(sbindir) chown=amanda chmod= \
142 #               $(sbin_SCRIPTS)
143 #
144 # This whole operation is not required when making builds for packaging,
145 # and can be disabled with --disable-installperms, via the WANT_INSTALLPERMS
146 # AM_CONDITIONAL.  When disabled, the file 'installperms.sh' in the top-level
147 # build directory is populated with a format suitable for shell interpretation,
148 # with lines like this:
149 #   installperm "amanda:disk" "04750" "/usr/local/sbin/bing"
150 # the arguments being, respectively, owner:group, mode, and filename.  There will
151 # be exactly one line for each file which has specific permissions.  The intention
152 # is that this file be used by packaging scripts to set correct permissions at install
153 # time.  Note that files which have no special permissions requirements do not appear 
154 # in this file at all, due to limitations of Automake.
155
156 # vim:ft=automake
157
158
159
160 VPATH = @srcdir@
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
181         $(srcdir)/Makefile.in \
182         $(top_srcdir)/config/automake/installperms.am \
183         $(top_srcdir)/config/automake/precompile.am \
184         $(top_srcdir)/config/automake/scripts.am \
185         $(top_srcdir)/config/automake/vars.am
186 @WANT_INSTALLPERMS_FALSE@am__append_1 = $(installperms_sh)
187 sbin_PROGRAMS = amarchiver$(EXEEXT)
188 TESTS = amar-test$(EXEEXT)
189 noinst_PROGRAMS = $(am__EXEEXT_1)
190 subdir = amar-src
191 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
192 am__aclocal_m4_deps =  \
193         $(top_srcdir)/config/macro-archive/ac_define_dir.m4 \
194         $(top_srcdir)/config/macro-archive/ac_perl_module_version.m4 \
195         $(top_srcdir)/config/macro-archive/ac_prog_perl_version.m4 \
196         $(top_srcdir)/config/macro-archive/ac_prog_swig.m4 \
197         $(top_srcdir)/config/macro-archive/ax_compare_version.m4 \
198         $(top_srcdir)/config/macro-archive/docbook-dtd.m4 \
199         $(top_srcdir)/config/macro-archive/docbook-xslt-min.m4 \
200         $(top_srcdir)/config/macro-archive/docbook-xslt.m4 \
201         $(top_srcdir)/config/macro-archive/xsltproc.m4 \
202         $(top_srcdir)/config/amanda/amplot.m4 \
203         $(top_srcdir)/config/amanda/bsd-security.m4 \
204         $(top_srcdir)/config/amanda/bsdtcp-security.m4 \
205         $(top_srcdir)/config/amanda/bsdudp-security.m4 \
206         $(top_srcdir)/config/amanda/changer.m4 \
207         $(top_srcdir)/config/amanda/components.m4 \
208         $(top_srcdir)/config/amanda/compress.m4 \
209         $(top_srcdir)/config/amanda/config.m4 \
210         $(top_srcdir)/config/amanda/debugging.m4 \
211         $(top_srcdir)/config/amanda/defaults.m4 \
212         $(top_srcdir)/config/amanda/devprefix.m4 \
213         $(top_srcdir)/config/amanda/dirs.m4 \
214         $(top_srcdir)/config/amanda/documentation.m4 \
215         $(top_srcdir)/config/amanda/dumpers.m4 \
216         $(top_srcdir)/config/amanda/flags.m4 \
217         $(top_srcdir)/config/amanda/flock.m4 \
218         $(top_srcdir)/config/amanda/funcs.m4 \
219         $(top_srcdir)/config/amanda/getfsent.m4 \
220         $(top_srcdir)/config/amanda/i18n.m4 \
221         $(top_srcdir)/config/amanda/ipv6.m4 \
222         $(top_srcdir)/config/amanda/krb4-security.m4 \
223         $(top_srcdir)/config/amanda/krb5-security.m4 \
224         $(top_srcdir)/config/amanda/lfs.m4 \
225         $(top_srcdir)/config/amanda/libs.m4 \
226         $(top_srcdir)/config/amanda/net.m4 \
227         $(top_srcdir)/config/amanda/progs.m4 \
228         $(top_srcdir)/config/amanda/ps.m4 \
229         $(top_srcdir)/config/amanda/readdir.m4 \
230         $(top_srcdir)/config/amanda/readline.m4 \
231         $(top_srcdir)/config/amanda/rsh-security.m4 \
232         $(top_srcdir)/config/amanda/s3-device.m4 \
233         $(top_srcdir)/config/amanda/shmem.m4 \
234         $(top_srcdir)/config/amanda/socklen_t_equiv.m4 \
235         $(top_srcdir)/config/amanda/ssh-security.m4 \
236         $(top_srcdir)/config/amanda/summary.m4 \
237         $(top_srcdir)/config/amanda/swig.m4 \
238         $(top_srcdir)/config/amanda/syshacks.m4 \
239         $(top_srcdir)/config/amanda/tape.m4 \
240         $(top_srcdir)/config/amanda/types.m4 \
241         $(top_srcdir)/config/amanda/userid.m4 \
242         $(top_srcdir)/config/amanda/version.m4 \
243         $(top_srcdir)/config/gnulib/alloca.m4 \
244         $(top_srcdir)/config/gnulib/arpa_inet_h.m4 \
245         $(top_srcdir)/config/gnulib/base64.m4 \
246         $(top_srcdir)/config/gnulib/eoverflow.m4 \
247         $(top_srcdir)/config/gnulib/extensions.m4 \
248         $(top_srcdir)/config/gnulib/float_h.m4 \
249         $(top_srcdir)/config/gnulib/fsusage.m4 \
250         $(top_srcdir)/config/gnulib/getaddrinfo.m4 \
251         $(top_srcdir)/config/gnulib/getopt.m4 \
252         $(top_srcdir)/config/gnulib/gettimeofday.m4 \
253         $(top_srcdir)/config/gnulib/gnulib-common.m4 \
254         $(top_srcdir)/config/gnulib/gnulib-comp.m4 \
255         $(top_srcdir)/config/gnulib/include_next.m4 \
256         $(top_srcdir)/config/gnulib/inet_ntop.m4 \
257         $(top_srcdir)/config/gnulib/intmax_t.m4 \
258         $(top_srcdir)/config/gnulib/lock.m4 \
259         $(top_srcdir)/config/gnulib/longlong.m4 \
260         $(top_srcdir)/config/gnulib/malloc.m4 \
261         $(top_srcdir)/config/gnulib/mkdtemp.m4 \
262         $(top_srcdir)/config/gnulib/netinet_in_h.m4 \
263         $(top_srcdir)/config/gnulib/onceonly_2_57.m4 \
264         $(top_srcdir)/config/gnulib/physmem.m4 \
265         $(top_srcdir)/config/gnulib/safe-read.m4 \
266         $(top_srcdir)/config/gnulib/safe-write.m4 \
267         $(top_srcdir)/config/gnulib/snprintf.m4 \
268         $(top_srcdir)/config/gnulib/socklen.m4 \
269         $(top_srcdir)/config/gnulib/sockpfaf.m4 \
270         $(top_srcdir)/config/gnulib/ssize_t.m4 \
271         $(top_srcdir)/config/gnulib/stdbool.m4 \
272         $(top_srcdir)/config/gnulib/stdint.m4 \
273         $(top_srcdir)/config/gnulib/stdio_h.m4 \
274         $(top_srcdir)/config/gnulib/stdlib_h.m4 \
275         $(top_srcdir)/config/gnulib/strdup.m4 \
276         $(top_srcdir)/config/gnulib/string_h.m4 \
277         $(top_srcdir)/config/gnulib/sys_socket_h.m4 \
278         $(top_srcdir)/config/gnulib/sys_stat_h.m4 \
279         $(top_srcdir)/config/gnulib/sys_time_h.m4 \
280         $(top_srcdir)/config/gnulib/tempname.m4 \
281         $(top_srcdir)/config/gnulib/unistd_h.m4 \
282         $(top_srcdir)/config/gnulib/vasnprintf.m4 \
283         $(top_srcdir)/config/gnulib/visibility.m4 \
284         $(top_srcdir)/config/gnulib/wchar.m4 \
285         $(top_srcdir)/config/gettext-macros/gettext.m4 \
286         $(top_srcdir)/config/gettext-macros/iconv.m4 \
287         $(top_srcdir)/config/gettext-macros/inttypes_h.m4 \
288         $(top_srcdir)/config/gettext-macros/lib-ld.m4 \
289         $(top_srcdir)/config/gettext-macros/lib-link.m4 \
290         $(top_srcdir)/config/gettext-macros/lib-prefix.m4 \
291         $(top_srcdir)/config/gettext-macros/nls.m4 \
292         $(top_srcdir)/config/gettext-macros/po.m4 \
293         $(top_srcdir)/config/gettext-macros/progtest.m4 \
294         $(top_srcdir)/config/gettext-macros/size_max.m4 \
295         $(top_srcdir)/config/gettext-macros/stdint_h.m4 \
296         $(top_srcdir)/config/gettext-macros/wchar_t.m4 \
297         $(top_srcdir)/config/gettext-macros/wint_t.m4 \
298         $(top_srcdir)/config/gettext-macros/xsize.m4 \
299         $(top_srcdir)/config/libtool.m4 $(top_srcdir)/configure.in
300 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
301         $(ACLOCAL_M4)
302 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
303 CONFIG_HEADER = $(top_builddir)/config/config.h
304 CONFIG_CLEAN_FILES =
305 CONFIG_CLEAN_VPATH_FILES =
306 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
307 am__vpath_adj = case $$p in \
308     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
309     *) f=$$p;; \
310   esac;
311 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
312 am__install_max = 40
313 am__nobase_strip_setup = \
314   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
315 am__nobase_strip = \
316   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
317 am__nobase_list = $(am__nobase_strip_setup); \
318   for p in $$list; do echo "$$p $$p"; done | \
319   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
320   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
321     if (++n[$$2] == $(am__install_max)) \
322       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
323     END { for (dir in files) print dir, files[dir] }'
324 am__base_list = \
325   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
326   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
327 am__installdirs = "$(DESTDIR)$(amlibdir)" "$(DESTDIR)$(sbindir)"
328 LTLIBRARIES = $(amlib_LTLIBRARIES)
329 libamar_la_DEPENDENCIES = ../common-src/libamanda.la
330 am_libamar_la_OBJECTS = amar.lo
331 libamar_la_OBJECTS = $(am_libamar_la_OBJECTS)
332 libamar_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
333         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
334         $(libamar_la_LDFLAGS) $(LDFLAGS) -o $@
335 am__EXEEXT_1 = amar-test$(EXEEXT)
336 PROGRAMS = $(noinst_PROGRAMS) $(sbin_PROGRAMS)
337 am_amar_test_OBJECTS = amar-test.$(OBJEXT)
338 amar_test_OBJECTS = $(am_amar_test_OBJECTS)
339 amar_test_DEPENDENCIES = libamar.la ../common-src/libtestutils.la
340 am_amarchiver_OBJECTS = amarchiver.$(OBJEXT)
341 amarchiver_OBJECTS = $(am_amarchiver_OBJECTS)
342 amarchiver_DEPENDENCIES = libamar.la
343 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/config
344 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
345 am__depfiles_maybe = depfiles
346 am__mv = mv -f
347 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
348         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
349 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
350         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
351         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
352 CCLD = $(CC)
353 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
354         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
355         $(LDFLAGS) -o $@
356 SOURCES = $(libamar_la_SOURCES) $(amar_test_SOURCES) \
357         $(amarchiver_SOURCES)
358 DIST_SOURCES = $(libamar_la_SOURCES) $(amar_test_SOURCES) \
359         $(amarchiver_SOURCES)
360 HEADERS = $(noinst_HEADERS)
361 ETAGS = etags
362 CTAGS = ctags
363 am__tty_colors = \
364 red=; grn=; lgn=; blu=; std=
365 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
366 ACLOCAL = @ACLOCAL@
367 AIX_BACKUP = @AIX_BACKUP@
368 ALLOCA = @ALLOCA@
369 ALLOCA_H = @ALLOCA_H@
370 AMANDA_DBGDIR = @AMANDA_DBGDIR@
371 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
372 AMANDA_STATIC_LDFLAGS = @AMANDA_STATIC_LDFLAGS@
373 AMANDA_TMPDIR = @AMANDA_TMPDIR@
374 AMANDA_WARNING_CFLAGS = @AMANDA_WARNING_CFLAGS@
375 AMLINT = @AMLINT@
376 AMLINTFLAGS = @AMLINTFLAGS@
377 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
378 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
379 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
380 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
381 AMTAR = @AMTAR@
382 APPLICATION_DIR = @APPLICATION_DIR@
383 AR = @AR@
384 ARPA_INET_H = @ARPA_INET_H@
385 ASSERTIONS = @ASSERTIONS@
386 AUTOCONF = @AUTOCONF@
387 AUTOHEADER = @AUTOHEADER@
388 AUTOMAKE = @AUTOMAKE@
389 AWK = @AWK@
390 BASH = @BASH@
391 BINARY_OWNER = @BINARY_OWNER@
392 BITSIZEOF_PTRDIFF_T = @BITSIZEOF_PTRDIFF_T@
393 BITSIZEOF_SIG_ATOMIC_T = @BITSIZEOF_SIG_ATOMIC_T@
394 BITSIZEOF_SIZE_T = @BITSIZEOF_SIZE_T@
395 BITSIZEOF_WCHAR_T = @BITSIZEOF_WCHAR_T@
396 BITSIZEOF_WINT_T = @BITSIZEOF_WINT_T@
397 BSDTCP_SECURITY = @BSDTCP_SECURITY@
398 BSDUDP_SECURITY = @BSDUDP_SECURITY@
399 BSD_SECURITY = @BSD_SECURITY@
400 CAT = @CAT@
401 CC = @CC@
402 CCDEPMODE = @CCDEPMODE@
403 CFLAGS = @CFLAGS@
404 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
405 CHECK_USERID = @CHECK_USERID@
406 CHIO = @CHIO@
407 CHS = @CHS@
408 CLIENT_HOST_INSTANCE = @CLIENT_HOST_INSTANCE@
409 CLIENT_HOST_KEY_FILE = @CLIENT_HOST_KEY_FILE@
410 CLIENT_HOST_PRINCIPAL = @CLIENT_HOST_PRINCIPAL@
411 CLIENT_LOGIN = @CLIENT_LOGIN@
412 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
413 COMPRESS = @COMPRESS@
414 COMPRESS_BEST_OPT = @COMPRESS_BEST_OPT@
415 COMPRESS_FAST_OPT = @COMPRESS_FAST_OPT@
416 COMPRESS_PATH = @COMPRESS_PATH@
417 COMPRESS_SUFFIX = @COMPRESS_SUFFIX@
418 CONFIG_CLOBBER_MY_CONFIG = @CONFIG_CLOBBER_MY_CONFIG@
419 CONFIG_DIR = @CONFIG_DIR@
420 CPP = @CPP@
421 CPPFLAGS = @CPPFLAGS@
422 CURL_CONFIG = @CURL_CONFIG@
423 CXX = @CXX@
424 CXXCPP = @CXXCPP@
425 CXXDEPMODE = @CXXDEPMODE@
426 CXXFLAGS = @CXXFLAGS@
427 CYGPATH_W = @CYGPATH_W@
428 DD = @DD@
429 DEFAULT_AMANDATES_FILE = @DEFAULT_AMANDATES_FILE@
430 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
431 DEFAULT_CONFIG = @DEFAULT_CONFIG@
432 DEFAULT_MAILER = @DEFAULT_MAILER@
433 DEFAULT_SERVER = @DEFAULT_SERVER@
434 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
435 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
436 DEFS = @DEFS@
437 DEPDIR = @DEPDIR@
438 DOC_BUILD_DATE = @DOC_BUILD_DATE@
439 DUMP = @DUMP@
440 DUMP_RETURNS_1 = @DUMP_RETURNS_1@
441 ECHO = @ECHO@
442 ECHO_C = @ECHO_C@
443 ECHO_N = @ECHO_N@
444 ECHO_T = @ECHO_T@
445 EGREP = @EGREP@
446 EOVERFLOW = @EOVERFLOW@
447 EXAMPLE_TAPEDEV = @EXAMPLE_TAPEDEV@
448 EXEEXT = @EXEEXT@
449 F77 = @F77@
450 FFLAGS = @FFLAGS@
451 FLOAT_H = @FLOAT_H@
452 GETCONF = @GETCONF@
453 GETOPT_H = @GETOPT_H@
454 GETTEXT = @GETTEXT@
455 GLIB_CFLAGS = @GLIB_CFLAGS@
456 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
457 GLIB_LIBS = @GLIB_LIBS@
458 GLIB_MKENUMS = @GLIB_MKENUMS@
459 GMSGFMT = @GMSGFMT@
460 GMSGFMT_015 = @GMSGFMT_015@
461 GNULIB_CALLOC_POSIX = @GNULIB_CALLOC_POSIX@
462 GNULIB_CHOWN = @GNULIB_CHOWN@
463 GNULIB_DUP2 = @GNULIB_DUP2@
464 GNULIB_ENVIRON = @GNULIB_ENVIRON@
465 GNULIB_FCHDIR = @GNULIB_FCHDIR@
466 GNULIB_FFLUSH = @GNULIB_FFLUSH@
467 GNULIB_FOPEN = @GNULIB_FOPEN@
468 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
469 GNULIB_FREOPEN = @GNULIB_FREOPEN@
470 GNULIB_FSEEK = @GNULIB_FSEEK@
471 GNULIB_FSEEKO = @GNULIB_FSEEKO@
472 GNULIB_FTELL = @GNULIB_FTELL@
473 GNULIB_FTELLO = @GNULIB_FTELLO@
474 GNULIB_FTRUNCATE = @GNULIB_FTRUNCATE@
475 GNULIB_GETCWD = @GNULIB_GETCWD@
476 GNULIB_GETDELIM = @GNULIB_GETDELIM@
477 GNULIB_GETLINE = @GNULIB_GETLINE@
478 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
479 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
480 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
481 GNULIB_LCHOWN = @GNULIB_LCHOWN@
482 GNULIB_LSEEK = @GNULIB_LSEEK@
483 GNULIB_MALLOC_POSIX = @GNULIB_MALLOC_POSIX@
484 GNULIB_MBSCASECMP = @GNULIB_MBSCASECMP@
485 GNULIB_MBSCASESTR = @GNULIB_MBSCASESTR@
486 GNULIB_MBSCHR = @GNULIB_MBSCHR@
487 GNULIB_MBSCSPN = @GNULIB_MBSCSPN@
488 GNULIB_MBSLEN = @GNULIB_MBSLEN@
489 GNULIB_MBSNCASECMP = @GNULIB_MBSNCASECMP@
490 GNULIB_MBSNLEN = @GNULIB_MBSNLEN@
491 GNULIB_MBSPBRK = @GNULIB_MBSPBRK@
492 GNULIB_MBSPCASECMP = @GNULIB_MBSPCASECMP@
493 GNULIB_MBSRCHR = @GNULIB_MBSRCHR@
494 GNULIB_MBSSEP = @GNULIB_MBSSEP@
495 GNULIB_MBSSPN = @GNULIB_MBSSPN@
496 GNULIB_MBSSTR = @GNULIB_MBSSTR@
497 GNULIB_MBSTOK_R = @GNULIB_MBSTOK_R@
498 GNULIB_MEMMEM = @GNULIB_MEMMEM@
499 GNULIB_MEMPCPY = @GNULIB_MEMPCPY@
500 GNULIB_MEMRCHR = @GNULIB_MEMRCHR@
501 GNULIB_MKDTEMP = @GNULIB_MKDTEMP@
502 GNULIB_MKSTEMP = @GNULIB_MKSTEMP@
503 GNULIB_PRINTF_POSIX = @GNULIB_PRINTF_POSIX@
504 GNULIB_PUTENV = @GNULIB_PUTENV@
505 GNULIB_READLINK = @GNULIB_READLINK@
506 GNULIB_REALLOC_POSIX = @GNULIB_REALLOC_POSIX@
507 GNULIB_SETENV = @GNULIB_SETENV@
508 GNULIB_SLEEP = @GNULIB_SLEEP@
509 GNULIB_SNPRINTF = @GNULIB_SNPRINTF@
510 GNULIB_SPRINTF_POSIX = @GNULIB_SPRINTF_POSIX@
511 GNULIB_STPCPY = @GNULIB_STPCPY@
512 GNULIB_STPNCPY = @GNULIB_STPNCPY@
513 GNULIB_STRCASESTR = @GNULIB_STRCASESTR@
514 GNULIB_STRCHRNUL = @GNULIB_STRCHRNUL@
515 GNULIB_STRDUP = @GNULIB_STRDUP@
516 GNULIB_STRERROR = @GNULIB_STRERROR@
517 GNULIB_STRNDUP = @GNULIB_STRNDUP@
518 GNULIB_STRNLEN = @GNULIB_STRNLEN@
519 GNULIB_STRPBRK = @GNULIB_STRPBRK@
520 GNULIB_STRSEP = @GNULIB_STRSEP@
521 GNULIB_STRSIGNAL = @GNULIB_STRSIGNAL@
522 GNULIB_STRSTR = @GNULIB_STRSTR@
523 GNULIB_STRTOK_R = @GNULIB_STRTOK_R@
524 GNULIB_UNSETENV = @GNULIB_UNSETENV@
525 GNULIB_VASPRINTF = @GNULIB_VASPRINTF@
526 GNULIB_VFPRINTF_POSIX = @GNULIB_VFPRINTF_POSIX@
527 GNULIB_VPRINTF_POSIX = @GNULIB_VPRINTF_POSIX@
528 GNULIB_VSNPRINTF = @GNULIB_VSNPRINTF@
529 GNULIB_VSPRINTF_POSIX = @GNULIB_VSPRINTF_POSIX@
530 GNULIB_WCWIDTH = @GNULIB_WCWIDTH@
531 GNUPLOT = @GNUPLOT@
532 GNUTAR = @GNUTAR@
533 GNUTAR_LISTED_INCREMENTAL_DIR = @GNUTAR_LISTED_INCREMENTAL_DIR@
534 GOBJECT_QUERY = @GOBJECT_QUERY@
535 GREP = @GREP@
536 GZIP = @GZIP@
537 HAVE_CALLOC_POSIX = @HAVE_CALLOC_POSIX@
538 HAVE_DECL_ENVIRON = @HAVE_DECL_ENVIRON@
539 HAVE_DECL_GETDELIM = @HAVE_DECL_GETDELIM@
540 HAVE_DECL_GETLINE = @HAVE_DECL_GETLINE@
541 HAVE_DECL_GETLOGIN_R = @HAVE_DECL_GETLOGIN_R@
542 HAVE_DECL_MEMMEM = @HAVE_DECL_MEMMEM@
543 HAVE_DECL_MEMRCHR = @HAVE_DECL_MEMRCHR@
544 HAVE_DECL_MKDIR = @HAVE_DECL_MKDIR@
545 HAVE_DECL_SNPRINTF = @HAVE_DECL_SNPRINTF@
546 HAVE_DECL_STRDUP = @HAVE_DECL_STRDUP@
547 HAVE_DECL_STRERROR = @HAVE_DECL_STRERROR@
548 HAVE_DECL_STRNDUP = @HAVE_DECL_STRNDUP@
549 HAVE_DECL_STRNLEN = @HAVE_DECL_STRNLEN@
550 HAVE_DECL_STRSIGNAL = @HAVE_DECL_STRSIGNAL@
551 HAVE_DECL_STRTOK_R = @HAVE_DECL_STRTOK_R@
552 HAVE_DECL_VSNPRINTF = @HAVE_DECL_VSNPRINTF@
553 HAVE_DECL_WCWIDTH = @HAVE_DECL_WCWIDTH@
554 HAVE_DUP2 = @HAVE_DUP2@
555 HAVE_FSEEKO = @HAVE_FSEEKO@
556 HAVE_FTELLO = @HAVE_FTELLO@
557 HAVE_FTRUNCATE = @HAVE_FTRUNCATE@
558 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
559 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
560 HAVE_GZIP = @HAVE_GZIP@
561 HAVE_INTTYPES_H = @HAVE_INTTYPES_H@
562 HAVE_IO_H = @HAVE_IO_H@
563 HAVE_LONG_LONG_INT = @HAVE_LONG_LONG_INT@
564 HAVE_LSTAT = @HAVE_LSTAT@
565 HAVE_MALLOC_POSIX = @HAVE_MALLOC_POSIX@
566 HAVE_MEMPCPY = @HAVE_MEMPCPY@
567 HAVE_MKDTEMP = @HAVE_MKDTEMP@
568 HAVE_NETINET_IN_H = @HAVE_NETINET_IN_H@
569 HAVE_OS_H = @HAVE_OS_H@
570 HAVE_READLINK = @HAVE_READLINK@
571 HAVE_REALLOC_POSIX = @HAVE_REALLOC_POSIX@
572 HAVE_SETENV = @HAVE_SETENV@
573 HAVE_SIGNED_SIG_ATOMIC_T = @HAVE_SIGNED_SIG_ATOMIC_T@
574 HAVE_SIGNED_WCHAR_T = @HAVE_SIGNED_WCHAR_T@
575 HAVE_SIGNED_WINT_T = @HAVE_SIGNED_WINT_T@
576 HAVE_SLEEP = @HAVE_SLEEP@
577 HAVE_STDINT_H = @HAVE_STDINT_H@
578 HAVE_STPCPY = @HAVE_STPCPY@
579 HAVE_STPNCPY = @HAVE_STPNCPY@
580 HAVE_STRCASESTR = @HAVE_STRCASESTR@
581 HAVE_STRCHRNUL = @HAVE_STRCHRNUL@
582 HAVE_STRNDUP = @HAVE_STRNDUP@
583 HAVE_STRPBRK = @HAVE_STRPBRK@
584 HAVE_STRSEP = @HAVE_STRSEP@
585 HAVE_STRUCT_TIMEVAL = @HAVE_STRUCT_TIMEVAL@
586 HAVE_SYS_BITYPES_H = @HAVE_SYS_BITYPES_H@
587 HAVE_SYS_INTTYPES_H = @HAVE_SYS_INTTYPES_H@
588 HAVE_SYS_PARAM_H = @HAVE_SYS_PARAM_H@
589 HAVE_SYS_SOCKET_H = @HAVE_SYS_SOCKET_H@
590 HAVE_SYS_TIME_H = @HAVE_SYS_TIME_H@
591 HAVE_SYS_TYPES_H = @HAVE_SYS_TYPES_H@
592 HAVE_UNISTD_H = @HAVE_UNISTD_H@
593 HAVE_UNSETENV = @HAVE_UNSETENV@
594 HAVE_UNSIGNED_LONG_LONG_INT = @HAVE_UNSIGNED_LONG_LONG_INT@
595 HAVE_VASPRINTF = @HAVE_VASPRINTF@
596 HAVE_VISIBILITY = @HAVE_VISIBILITY@
597 HAVE_WCHAR_H = @HAVE_WCHAR_H@
598 HAVE_WINSOCK2_H = @HAVE_WINSOCK2_H@
599 HAVE_WS2TCPIP_H = @HAVE_WS2TCPIP_H@
600 HAVE__BOOL = @HAVE__BOOL@
601 INCLUDE_NEXT = @INCLUDE_NEXT@
602 INSTALL = @INSTALL@
603 INSTALL_DATA = @INSTALL_DATA@
604 INSTALL_PROGRAM = @INSTALL_PROGRAM@
605 INSTALL_SCRIPT = @INSTALL_SCRIPT@
606 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
607 INTLLIBS = @INTLLIBS@
608 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
609 KRB4_SECURITY = @KRB4_SECURITY@
610 KRB5_SECURITY = @KRB5_SECURITY@
611 LDFLAGS = @LDFLAGS@
612 LEX = @LEX@
613 LEXLIB = @LEXLIB@
614 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
615 LIBCURL = @LIBCURL@
616 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
617 LIBICONV = @LIBICONV@
618 LIBINTL = @LIBINTL@
619 LIBMULTITHREAD = @LIBMULTITHREAD@
620 LIBOBJS = @LIBOBJS@
621 LIBPTH = @LIBPTH@
622 LIBS = @LIBS@
623 LIBTHREAD = @LIBTHREAD@
624 LIBTOOL = @LIBTOOL@
625 LIBTOOL_DEPS = @LIBTOOL_DEPS@
626 LN_S = @LN_S@
627 LOCKING = @LOCKING@
628 LOW_TCPPORTRANGE = @LOW_TCPPORTRANGE@
629 LTLIBICONV = @LTLIBICONV@
630 LTLIBINTL = @LTLIBINTL@
631 LTLIBMULTITHREAD = @LTLIBMULTITHREAD@
632 LTLIBOBJS = @LTLIBOBJS@
633 LTLIBPTH = @LTLIBPTH@
634 LTLIBTHREAD = @LTLIBTHREAD@
635 MAILER = @MAILER@
636 MAKEINFO = @MAKEINFO@
637 MCUTIL = @MCUTIL@
638 MKDIR_P = @MKDIR_P@
639 MSGFMT = @MSGFMT@
640 MSGFMT_015 = @MSGFMT_015@
641 MSGMERGE = @MSGMERGE@
642 MT = @MT@
643 MTX = @MTX@
644 MT_FILE_FLAG = @MT_FILE_FLAG@
645 NETINET_IN_H = @NETINET_IN_H@
646 NEXT_FLOAT_H = @NEXT_FLOAT_H@
647 NEXT_NETINET_IN_H = @NEXT_NETINET_IN_H@
648 NEXT_STDINT_H = @NEXT_STDINT_H@
649 NEXT_STDIO_H = @NEXT_STDIO_H@
650 NEXT_STDLIB_H = @NEXT_STDLIB_H@
651 NEXT_STRING_H = @NEXT_STRING_H@
652 NEXT_SYS_SOCKET_H = @NEXT_SYS_SOCKET_H@
653 NEXT_SYS_STAT_H = @NEXT_SYS_STAT_H@
654 NEXT_SYS_TIME_H = @NEXT_SYS_TIME_H@
655 NEXT_UNISTD_H = @NEXT_UNISTD_H@
656 NEXT_WCHAR_H = @NEXT_WCHAR_H@
657 OBJEXT = @OBJEXT@
658 PACKAGE = @PACKAGE@
659 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
660 PACKAGE_NAME = @PACKAGE_NAME@
661 PACKAGE_STRING = @PACKAGE_STRING@
662 PACKAGE_TARNAME = @PACKAGE_TARNAME@
663 PACKAGE_VERSION = @PACKAGE_VERSION@
664 PATH_SEPARATOR = @PATH_SEPARATOR@
665 PCAT = @PCAT@
666 PERL = @PERL@
667 PERLEXTLIBS = @PERLEXTLIBS@
668 PERL_INC = @PERL_INC@
669 PKG_CONFIG = @PKG_CONFIG@
670 POSUB = @POSUB@
671 PRINT = @PRINT@
672 PS = @PS@
673 PS_ARGUMENT = @PS_ARGUMENT@
674 PTRDIFF_T_SUFFIX = @PTRDIFF_T_SUFFIX@
675 RANLIB = @RANLIB@
676 READLINE_LIBS = @READLINE_LIBS@
677 REPLACE_CHOWN = @REPLACE_CHOWN@
678 REPLACE_FCHDIR = @REPLACE_FCHDIR@
679 REPLACE_FFLUSH = @REPLACE_FFLUSH@
680 REPLACE_FOPEN = @REPLACE_FOPEN@
681 REPLACE_FPRINTF = @REPLACE_FPRINTF@
682 REPLACE_FREOPEN = @REPLACE_FREOPEN@
683 REPLACE_FSEEK = @REPLACE_FSEEK@
684 REPLACE_FSEEKO = @REPLACE_FSEEKO@
685 REPLACE_FTELL = @REPLACE_FTELL@
686 REPLACE_FTELLO = @REPLACE_FTELLO@
687 REPLACE_GETCWD = @REPLACE_GETCWD@
688 REPLACE_GETLINE = @REPLACE_GETLINE@
689 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
690 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
691 REPLACE_LCHOWN = @REPLACE_LCHOWN@
692 REPLACE_LSEEK = @REPLACE_LSEEK@
693 REPLACE_MEMMEM = @REPLACE_MEMMEM@
694 REPLACE_MKSTEMP = @REPLACE_MKSTEMP@
695 REPLACE_PRINTF = @REPLACE_PRINTF@
696 REPLACE_PUTENV = @REPLACE_PUTENV@
697 REPLACE_SNPRINTF = @REPLACE_SNPRINTF@
698 REPLACE_SPRINTF = @REPLACE_SPRINTF@
699 REPLACE_STRCASESTR = @REPLACE_STRCASESTR@
700 REPLACE_STRERROR = @REPLACE_STRERROR@
701 REPLACE_STRSIGNAL = @REPLACE_STRSIGNAL@
702 REPLACE_STRSTR = @REPLACE_STRSTR@
703 REPLACE_VASPRINTF = @REPLACE_VASPRINTF@
704 REPLACE_VFPRINTF = @REPLACE_VFPRINTF@
705 REPLACE_VPRINTF = @REPLACE_VPRINTF@
706 REPLACE_VSNPRINTF = @REPLACE_VSNPRINTF@
707 REPLACE_VSPRINTF = @REPLACE_VSPRINTF@
708 REPLACE_WCWIDTH = @REPLACE_WCWIDTH@
709 RESTORE = @RESTORE@
710 RSH_SECURITY = @RSH_SECURITY@
711 SAMBA_CLIENT = @SAMBA_CLIENT@
712 SERVER_HOST_INSTANCE = @SERVER_HOST_INSTANCE@
713 SERVER_HOST_KEY_FILE = @SERVER_HOST_KEY_FILE@
714 SERVER_HOST_PRINCIPAL = @SERVER_HOST_PRINCIPAL@
715 SERVICE_SUFFIX = @SERVICE_SUFFIX@
716 SETUID_GROUP = @SETUID_GROUP@
717 SET_MAKE = @SET_MAKE@
718 SHELL = @SHELL@
719 SIG_ATOMIC_T_SUFFIX = @SIG_ATOMIC_T_SUFFIX@
720 SIZE_T_SUFFIX = @SIZE_T_SUFFIX@
721 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
722 SORT = @SORT@
723 SSH = @SSH@
724 SSH_SECURITY = @SSH_SECURITY@
725 STDBOOL_H = @STDBOOL_H@
726 STDINT_H = @STDINT_H@
727 STRIP = @STRIP@
728 SVN = @SVN@
729 SWIG = @SWIG@
730 SWIG_LIB = @SWIG_LIB@
731 SYS_SOCKET_H = @SYS_SOCKET_H@
732 SYS_STAT_H = @SYS_STAT_H@
733 SYS_TIME_H = @SYS_TIME_H@
734 TCPPORTRANGE = @TCPPORTRANGE@
735 TICKET_LIFETIME = @TICKET_LIFETIME@
736 UDPPORTRANGE = @UDPPORTRANGE@
737 UNCOMPRESS_OPT = @UNCOMPRESS_OPT@
738 UNCOMPRESS_PATH = @UNCOMPRESS_PATH@
739 USE_AMANDAHOSTS = @USE_AMANDAHOSTS@
740 USE_NLS = @USE_NLS@
741 USE_RUNDUMP = @USE_RUNDUMP@
742 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
743 VDUMP = @VDUMP@
744 VERSION = @VERSION@
745 VERSION_COMMENT = @VERSION_COMMENT@
746 VERSION_MAJOR = @VERSION_MAJOR@
747 VERSION_MINOR = @VERSION_MINOR@
748 VERSION_PATCH = @VERSION_PATCH@
749 VERSION_SUFFIX = @VERSION_SUFFIX@
750 VOID_UNSETENV = @VOID_UNSETENV@
751 VRESTORE = @VRESTORE@
752 VXDUMP = @VXDUMP@
753 VXRESTORE = @VXRESTORE@
754 WCHAR_H = @WCHAR_H@
755 WCHAR_T_SUFFIX = @WCHAR_T_SUFFIX@
756 WINT_T_SUFFIX = @WINT_T_SUFFIX@
757 XFSDUMP = @XFSDUMP@
758 XFSRESTORE = @XFSRESTORE@
759 XGETTEXT = @XGETTEXT@
760 XGETTEXT_015 = @XGETTEXT_015@
761 XSLREL = @XSLREL@
762 XSLTPROC = @XSLTPROC@
763 XSLTPROC_FLAGS = @XSLTPROC_FLAGS@
764 YACC = @YACC@
765 YFLAGS = @YFLAGS@
766 _libcurl_config = @_libcurl_config@
767 abs_builddir = @abs_builddir@
768 abs_srcdir = @abs_srcdir@
769 abs_top_builddir = @abs_top_builddir@
770 abs_top_srcdir = @abs_top_srcdir@
771 ac_ct_CC = @ac_ct_CC@
772 ac_ct_CXX = @ac_ct_CXX@
773 ac_ct_F77 = @ac_ct_F77@
774 am__include = @am__include@
775 am__leading_dot = @am__leading_dot@
776 am__quote = @am__quote@
777 am__tar = @am__tar@
778 am__untar = @am__untar@
779 amdatadir = @amdatadir@
780 amincludedir = @amincludedir@
781 amlibdir = @amlibdir@
782 amlibexecdir = @amlibexecdir@
783 amperldir = @amperldir@
784 bindir = @bindir@
785 build = @build@
786 build_alias = @build_alias@
787 build_cpu = @build_cpu@
788 build_os = @build_os@
789 build_vendor = @build_vendor@
790 builddir = @builddir@
791 datadir = @datadir@
792 datarootdir = @datarootdir@
793 docdir = @docdir@
794 dvidir = @dvidir@
795 exec_prefix = @exec_prefix@
796 gl_LIBOBJS = @gl_LIBOBJS@
797 gl_LTLIBOBJS = @gl_LTLIBOBJS@
798 gltests_LIBOBJS = @gltests_LIBOBJS@
799 gltests_LTLIBOBJS = @gltests_LTLIBOBJS@
800 host = @host@
801 host_alias = @host_alias@
802 host_cpu = @host_cpu@
803 host_os = @host_os@
804 host_vendor = @host_vendor@
805 htmldir = @htmldir@
806 includedir = @includedir@
807 infodir = @infodir@
808 install_sh = @install_sh@
809 libdir = @libdir@
810 libexecdir = @libexecdir@
811 localedir = @localedir@
812 localstatedir = @localstatedir@
813 mandir = @mandir@
814 mkdir_p = @mkdir_p@
815 oldincludedir = @oldincludedir@
816 pdfdir = @pdfdir@
817 prefix = @prefix@
818 program_transform_name = @program_transform_name@
819 psdir = @psdir@
820 sbindir = @sbindir@
821 sharedstatedir = @sharedstatedir@
822 srcdir = @srcdir@
823 sysconfdir = @sysconfdir@
824 target = @target@
825 target_alias = @target_alias@
826 target_cpu = @target_cpu@
827 target_os = @target_os@
828 target_vendor = @target_vendor@
829 top_build_prefix = @top_build_prefix@
830 top_builddir = @top_builddir@
831 top_srcdir = @top_srcdir@
832 SUFFIXES = 
833 EXTRA_DIST = 
834 BUILT_SOURCES = 
835 MOSTLYCLEANFILES = 
836
837 # config.status leaves config.log files around
838 CLEANFILES = config.log
839
840 # and we'll need to clean up our generated files for distclean
841 DISTCLEANFILES = $(SCRIPTS_SHELL) $(SCRIPTS_PERL) $(SCRIPTS_AWK) \
842         $(SCRIPTS_INCLUDE) $(am__append_1)
843 MAINTAINERCLEANFILES = 
844
845 # syntax-check shell scripts on 'make check'
846 CHECK_SHELL = $(SCRIPTS_SHELL)
847
848 # sed expression to strip leading directories from a filename; this converts e.g.,
849 # src/foo/bar.so to bar.so.
850 strip_leading_dirs = s|^.*/||
851 @WANT_INSTALLPERMS_FALSE@do_file = pa="$$dest"/`echo "$$cmd"|sed '$(strip_leading_dirs)'|sed '$(transform)'`; \
852 @WANT_INSTALLPERMS_FALSE@    echo "installperm \"$$chown\" \"$$chmod\" \"$$pa\"" >> "$(installperms_sh)"
853
854
855 # define a snippet of the scripts below to either perform a chown/chmod operation,
856 # or record that operation in the logfile.  On entry to the snippet, $$dest is the
857 # destination directory, $$cmd is the srcdir-relative pathname of the target file,
858 # $$chown is the ownership, and $$chmod is the permission pattern.
859 @WANT_INSTALLPERMS_TRUE@do_file = pa="$(DESTDIR)$$dest"/`echo "$$cmd"|sed '$(strip_leading_dirs)'|sed '$(transform)'`; \
860 @WANT_INSTALLPERMS_TRUE@    if test -n "$$chown"; then \
861 @WANT_INSTALLPERMS_TRUE@        echo chown "$$chown" "$$pa"; \
862 @WANT_INSTALLPERMS_TRUE@        chown "$$chown" "$$pa" || exit 1; \
863 @WANT_INSTALLPERMS_TRUE@    fi; \
864 @WANT_INSTALLPERMS_TRUE@    if test -n "$$chmod"; then \
865 @WANT_INSTALLPERMS_TRUE@        echo chmod "$$chmod" "$$pa"; \
866 @WANT_INSTALLPERMS_TRUE@        chmod "$$chmod" "$$pa" || exit 1; \
867 @WANT_INSTALLPERMS_TRUE@    fi 
868
869 @WANT_INSTALLPERMS_FALSE@installperms_sh = "$(top_builddir)/installperms.sh"
870 INCLUDES = -I$(top_builddir)/common-src \
871                 -I$(top_srcdir)/common-src \
872                 -I$(top_srcdir)/gnulib
873
874 AM_CFLAGS = $(AMANDA_WARNING_CFLAGS)
875 AM_LDFLAGS = $(AMANDA_STATIC_LDFLAGS)
876 LINT = @AMLINT@
877 LINTFLAGS = @AMLINTFLAGS@
878 amlib_LTLIBRARIES = libamar.la
879 libamar_la_SOURCES = amar.c
880 libamar_la_LDFLAGS = -release $(VERSION)
881 libamar_la_LIBADD = ../common-src/libamanda.la
882 noinst_HEADERS = \
883         amar.h
884
885 amarchiver_SOURCES = amarchiver.c
886 amarchiver_LDADD = libamar.la
887 amar_test_SOURCES = amar-test.c
888 amar_test_LDADD = libamar.la \
889         ../common-src/libtestutils.la
890
891 all: $(BUILT_SOURCES)
892         $(MAKE) $(AM_MAKEFLAGS) all-am
893
894 .SUFFIXES:
895 .SUFFIXES: .c .lo .o .obj
896 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/config/automake/vars.am $(top_srcdir)/config/automake/scripts.am $(top_srcdir)/config/automake/installperms.am $(top_srcdir)/config/automake/precompile.am $(am__configure_deps)
897         @for dep in $?; do \
898           case '$(am__configure_deps)' in \
899             *$$dep*) \
900               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
901                 && { if test -f $@; then exit 0; else break; fi; }; \
902               exit 1;; \
903           esac; \
904         done; \
905         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu amar-src/Makefile'; \
906         $(am__cd) $(top_srcdir) && \
907           $(AUTOMAKE) --gnu amar-src/Makefile
908 .PRECIOUS: Makefile
909 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
910         @case '$?' in \
911           *config.status*) \
912             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
913           *) \
914             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
915             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
916         esac;
917
918 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
919         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
920
921 $(top_srcdir)/configure:  $(am__configure_deps)
922         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
923 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
924         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
925 $(am__aclocal_m4_deps):
926 install-amlibLTLIBRARIES: $(amlib_LTLIBRARIES)
927         @$(NORMAL_INSTALL)
928         test -z "$(amlibdir)" || $(MKDIR_P) "$(DESTDIR)$(amlibdir)"
929         @list='$(amlib_LTLIBRARIES)'; test -n "$(amlibdir)" || list=; \
930         list2=; for p in $$list; do \
931           if test -f $$p; then \
932             list2="$$list2 $$p"; \
933           else :; fi; \
934         done; \
935         test -z "$$list2" || { \
936           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(amlibdir)'"; \
937           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(amlibdir)"; \
938         }
939
940 uninstall-amlibLTLIBRARIES:
941         @$(NORMAL_UNINSTALL)
942         @list='$(amlib_LTLIBRARIES)'; test -n "$(amlibdir)" || list=; \
943         for p in $$list; do \
944           $(am__strip_dir) \
945           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(amlibdir)/$$f'"; \
946           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(amlibdir)/$$f"; \
947         done
948
949 clean-amlibLTLIBRARIES:
950         -test -z "$(amlib_LTLIBRARIES)" || rm -f $(amlib_LTLIBRARIES)
951         @list='$(amlib_LTLIBRARIES)'; for p in $$list; do \
952           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
953           test "$$dir" != "$$p" || dir=.; \
954           echo "rm -f \"$${dir}/so_locations\""; \
955           rm -f "$${dir}/so_locations"; \
956         done
957 libamar.la: $(libamar_la_OBJECTS) $(libamar_la_DEPENDENCIES) 
958         $(libamar_la_LINK) -rpath $(amlibdir) $(libamar_la_OBJECTS) $(libamar_la_LIBADD) $(LIBS)
959
960 clean-noinstPROGRAMS:
961         @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
962         echo " rm -f" $$list; \
963         rm -f $$list || exit $$?; \
964         test -n "$(EXEEXT)" || exit 0; \
965         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
966         echo " rm -f" $$list; \
967         rm -f $$list
968 install-sbinPROGRAMS: $(sbin_PROGRAMS)
969         @$(NORMAL_INSTALL)
970         test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
971         @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
972         for p in $$list; do echo "$$p $$p"; done | \
973         sed 's/$(EXEEXT)$$//' | \
974         while read p p1; do if test -f $$p || test -f $$p1; \
975           then echo "$$p"; echo "$$p"; else :; fi; \
976         done | \
977         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
978             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
979         sed 'N;N;N;s,\n, ,g' | \
980         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
981           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
982             if ($$2 == $$4) files[d] = files[d] " " $$1; \
983             else { print "f", $$3 "/" $$4, $$1; } } \
984           END { for (d in files) print "f", d, files[d] }' | \
985         while read type dir files; do \
986             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
987             test -z "$$files" || { \
988             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
989             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
990             } \
991         ; done
992
993 uninstall-sbinPROGRAMS:
994         @$(NORMAL_UNINSTALL)
995         @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
996         files=`for p in $$list; do echo "$$p"; done | \
997           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
998               -e 's/$$/$(EXEEXT)/' `; \
999         test -n "$$list" || exit 0; \
1000         echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
1001         cd "$(DESTDIR)$(sbindir)" && rm -f $$files
1002
1003 clean-sbinPROGRAMS:
1004         @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
1005         echo " rm -f" $$list; \
1006         rm -f $$list || exit $$?; \
1007         test -n "$(EXEEXT)" || exit 0; \
1008         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1009         echo " rm -f" $$list; \
1010         rm -f $$list
1011 amar-test$(EXEEXT): $(amar_test_OBJECTS) $(amar_test_DEPENDENCIES) 
1012         @rm -f amar-test$(EXEEXT)
1013         $(LINK) $(amar_test_OBJECTS) $(amar_test_LDADD) $(LIBS)
1014 amarchiver$(EXEEXT): $(amarchiver_OBJECTS) $(amarchiver_DEPENDENCIES) 
1015         @rm -f amarchiver$(EXEEXT)
1016         $(LINK) $(amarchiver_OBJECTS) $(amarchiver_LDADD) $(LIBS)
1017
1018 mostlyclean-compile:
1019         -rm -f *.$(OBJEXT)
1020
1021 distclean-compile:
1022         -rm -f *.tab.c
1023
1024 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amar-test.Po@am__quote@
1025 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amar.Plo@am__quote@
1026 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amarchiver.Po@am__quote@
1027
1028 .c.o:
1029 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1030 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1031 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1032 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1033 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1034
1035 .c.obj:
1036 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1037 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1038 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1039 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1040 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1041
1042 .c.lo:
1043 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1044 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1045 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1046 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1047 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1048
1049 mostlyclean-libtool:
1050         -rm -f *.lo
1051
1052 clean-libtool:
1053         -rm -rf .libs _libs
1054
1055 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1056         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1057         unique=`for i in $$list; do \
1058             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1059           done | \
1060           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1061               END { if (nonempty) { for (i in files) print i; }; }'`; \
1062         mkid -fID $$unique
1063 tags: TAGS
1064
1065 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1066                 $(TAGS_FILES) $(LISP)
1067         set x; \
1068         here=`pwd`; \
1069         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1070         unique=`for i in $$list; do \
1071             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1072           done | \
1073           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1074               END { if (nonempty) { for (i in files) print i; }; }'`; \
1075         shift; \
1076         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1077           test -n "$$unique" || unique=$$empty_fix; \
1078           if test $$# -gt 0; then \
1079             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1080               "$$@" $$unique; \
1081           else \
1082             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1083               $$unique; \
1084           fi; \
1085         fi
1086 ctags: CTAGS
1087 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1088                 $(TAGS_FILES) $(LISP)
1089         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1090         unique=`for i in $$list; do \
1091             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1092           done | \
1093           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1094               END { if (nonempty) { for (i in files) print i; }; }'`; \
1095         test -z "$(CTAGS_ARGS)$$unique" \
1096           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1097              $$unique
1098
1099 GTAGS:
1100         here=`$(am__cd) $(top_builddir) && pwd` \
1101           && $(am__cd) $(top_srcdir) \
1102           && gtags -i $(GTAGS_ARGS) "$$here"
1103
1104 distclean-tags:
1105         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1106
1107 check-TESTS: $(TESTS)
1108         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
1109         srcdir=$(srcdir); export srcdir; \
1110         list=' $(TESTS) '; \
1111         $(am__tty_colors); \
1112         if test -n "$$list"; then \
1113           for tst in $$list; do \
1114             if test -f ./$$tst; then dir=./; \
1115             elif test -f $$tst; then dir=; \
1116             else dir="$(srcdir)/"; fi; \
1117             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
1118               all=`expr $$all + 1`; \
1119               case " $(XFAIL_TESTS) " in \
1120               *[\ \     ]$$tst[\ \      ]*) \
1121                 xpass=`expr $$xpass + 1`; \
1122                 failed=`expr $$failed + 1`; \
1123                 col=$$red; res=XPASS; \
1124               ;; \
1125               *) \
1126                 col=$$grn; res=PASS; \
1127               ;; \
1128               esac; \
1129             elif test $$? -ne 77; then \
1130               all=`expr $$all + 1`; \
1131               case " $(XFAIL_TESTS) " in \
1132               *[\ \     ]$$tst[\ \      ]*) \
1133                 xfail=`expr $$xfail + 1`; \
1134                 col=$$lgn; res=XFAIL; \
1135               ;; \
1136               *) \
1137                 failed=`expr $$failed + 1`; \
1138                 col=$$red; res=FAIL; \
1139               ;; \
1140               esac; \
1141             else \
1142               skip=`expr $$skip + 1`; \
1143               col=$$blu; res=SKIP; \
1144             fi; \
1145             echo "$${col}$$res$${std}: $$tst"; \
1146           done; \
1147           if test "$$all" -eq 1; then \
1148             tests="test"; \
1149             All=""; \
1150           else \
1151             tests="tests"; \
1152             All="All "; \
1153           fi; \
1154           if test "$$failed" -eq 0; then \
1155             if test "$$xfail" -eq 0; then \
1156               banner="$$All$$all $$tests passed"; \
1157             else \
1158               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
1159               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
1160             fi; \
1161           else \
1162             if test "$$xpass" -eq 0; then \
1163               banner="$$failed of $$all $$tests failed"; \
1164             else \
1165               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
1166               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
1167             fi; \
1168           fi; \
1169           dashes="$$banner"; \
1170           skipped=""; \
1171           if test "$$skip" -ne 0; then \
1172             if test "$$skip" -eq 1; then \
1173               skipped="($$skip test was not run)"; \
1174             else \
1175               skipped="($$skip tests were not run)"; \
1176             fi; \
1177             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1178               dashes="$$skipped"; \
1179           fi; \
1180           report=""; \
1181           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1182             report="Please report to $(PACKAGE_BUGREPORT)"; \
1183             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1184               dashes="$$report"; \
1185           fi; \
1186           dashes=`echo "$$dashes" | sed s/./=/g`; \
1187           if test "$$failed" -eq 0; then \
1188             echo "$$grn$$dashes"; \
1189           else \
1190             echo "$$red$$dashes"; \
1191           fi; \
1192           echo "$$banner"; \
1193           test -z "$$skipped" || echo "$$skipped"; \
1194           test -z "$$report" || echo "$$report"; \
1195           echo "$$dashes$$std"; \
1196           test "$$failed" -eq 0; \
1197         else :; fi
1198
1199 distdir: $(DISTFILES)
1200         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1201         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1202         list='$(DISTFILES)'; \
1203           dist_files=`for file in $$list; do echo $$file; done | \
1204           sed -e "s|^$$srcdirstrip/||;t" \
1205               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1206         case $$dist_files in \
1207           */*) $(MKDIR_P) `echo "$$dist_files" | \
1208                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1209                            sort -u` ;; \
1210         esac; \
1211         for file in $$dist_files; do \
1212           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1213           if test -d $$d/$$file; then \
1214             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1215             if test -d "$(distdir)/$$file"; then \
1216               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1217             fi; \
1218             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1219               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1220               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1221             fi; \
1222             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1223           else \
1224             test -f "$(distdir)/$$file" \
1225             || cp -p $$d/$$file "$(distdir)/$$file" \
1226             || exit 1; \
1227           fi; \
1228         done
1229         $(MAKE) $(AM_MAKEFLAGS) \
1230           top_distdir="$(top_distdir)" distdir="$(distdir)" \
1231           dist-hook
1232 check-am: all-am
1233         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1234 check: $(BUILT_SOURCES)
1235         $(MAKE) $(AM_MAKEFLAGS) check-am
1236 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS)
1237 installdirs:
1238         for dir in "$(DESTDIR)$(amlibdir)" "$(DESTDIR)$(sbindir)"; do \
1239           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1240         done
1241 install: $(BUILT_SOURCES)
1242         $(MAKE) $(AM_MAKEFLAGS) install-am
1243 install-exec: install-exec-am
1244 install-data: install-data-am
1245 uninstall: uninstall-am
1246
1247 install-am: all-am
1248         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1249
1250 installcheck: installcheck-am
1251 install-strip:
1252         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1253           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1254           `test -z '$(STRIP)' || \
1255             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1256 mostlyclean-generic:
1257         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1258
1259 clean-generic:
1260         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1261
1262 distclean-generic:
1263         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1264         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1265         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1266
1267 maintainer-clean-generic:
1268         @echo "This command is intended for maintainers to use"
1269         @echo "it deletes files that may require special tools to rebuild."
1270         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1271         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1272 clean: clean-am
1273
1274 clean-am: clean-amlibLTLIBRARIES clean-generic clean-libtool \
1275         clean-noinstPROGRAMS clean-sbinPROGRAMS mostlyclean-am
1276
1277 distclean: distclean-am
1278         -rm -rf ./$(DEPDIR)
1279         -rm -f Makefile
1280 distclean-am: clean-am distclean-compile distclean-generic \
1281         distclean-tags
1282
1283 dvi: dvi-am
1284
1285 dvi-am:
1286
1287 html: html-am
1288
1289 html-am:
1290
1291 info: info-am
1292
1293 info-am:
1294
1295 install-data-am: install-amlibLTLIBRARIES
1296         @$(NORMAL_INSTALL)
1297         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
1298 install-dvi: install-dvi-am
1299
1300 install-dvi-am:
1301
1302 install-exec-am: install-sbinPROGRAMS
1303         @$(NORMAL_INSTALL)
1304         $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1305 install-html: install-html-am
1306
1307 install-html-am:
1308
1309 install-info: install-info-am
1310
1311 install-info-am:
1312
1313 install-man:
1314
1315 install-pdf: install-pdf-am
1316
1317 install-pdf-am:
1318
1319 install-ps: install-ps-am
1320
1321 install-ps-am:
1322
1323 installcheck-am: installcheck-local
1324
1325 maintainer-clean: maintainer-clean-am
1326         -rm -rf ./$(DEPDIR)
1327         -rm -f Makefile
1328 maintainer-clean-am: distclean-am maintainer-clean-generic
1329
1330 mostlyclean: mostlyclean-am
1331
1332 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1333         mostlyclean-libtool
1334
1335 pdf: pdf-am
1336
1337 pdf-am:
1338
1339 ps: ps-am
1340
1341 ps-am:
1342
1343 uninstall-am: uninstall-amlibLTLIBRARIES uninstall-sbinPROGRAMS
1344
1345 .MAKE: all check check-am install install-am install-data-am \
1346         install-exec-am install-strip
1347
1348 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am check-local \
1349         clean clean-amlibLTLIBRARIES clean-generic clean-libtool \
1350         clean-noinstPROGRAMS clean-sbinPROGRAMS ctags dist-hook \
1351         distclean distclean-compile distclean-generic \
1352         distclean-libtool distclean-tags distdir dvi dvi-am html \
1353         html-am info info-am install install-am \
1354         install-amlibLTLIBRARIES install-data install-data-am \
1355         install-data-hook install-dvi install-dvi-am install-exec \
1356         install-exec-am install-exec-hook install-html install-html-am \
1357         install-info install-info-am install-man install-pdf \
1358         install-pdf-am install-ps install-ps-am install-sbinPROGRAMS \
1359         install-strip installcheck installcheck-am installcheck-local \
1360         installdirs maintainer-clean maintainer-clean-generic \
1361         mostlyclean mostlyclean-compile mostlyclean-generic \
1362         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1363         uninstall-am uninstall-amlibLTLIBRARIES uninstall-sbinPROGRAMS
1364
1365
1366 # Perl
1367 %: %.pl $(top_builddir)/config.status
1368         $(top_builddir)/config.status --file=$@:$<
1369         chmod a+x $@
1370         @if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1371                 grep -v '^use lib' $@ > $@.nouselib; \
1372                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $@.nouselib || exit 1; \
1373                 rm $@.nouselib; \
1374         fi
1375
1376 %.pl: %.pl.in $(top_builddir)/config.status
1377         $(top_builddir)/config.status --file=$@:$<
1378
1379 %.pm: %.pm.in $(top_builddir)/config.status
1380         $(top_builddir)/config.status --file=$@:$<
1381
1382 # Shell
1383 %: %.sh $(top_builddir)/config.status
1384         $(top_builddir)/config.status --file=$@:$<
1385         chmod a+x $@
1386
1387 %.sh: %.sh.in $(top_builddir)/config.status
1388         $(top_builddir)/config.status --file=$@:$<
1389
1390 # Awk
1391 %: %.awk $(top_builddir)/config.status
1392         $(top_builddir)/config.status --file=$@:$<
1393         chmod a+x $@
1394
1395 %.awk: %.awk.in $(top_builddir)/config.status
1396         $(top_builddir)/config.status --file=$@:$<
1397
1398 # syntax-check perl scripts on 'make check'
1399 check-perl: $(CHECK_PERL)
1400         @CHECK_PERL="$(CHECK_PERL)"; \
1401         if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1402                 if test -n "$(PERL)"; then \
1403                         for perlobj in $$CHECK_PERL; do \
1404                                 grep -v '^use lib' $$perlobj > $$perlobj.nouselib; \
1405                                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $$perlobj.nouselib || exit 1; \
1406                                 rm $$perlobj.nouselib; \
1407                         done; \
1408                 fi \
1409         fi
1410 check-local: check-perl
1411
1412 # syntax-check perl scripts on 'make installcheck'
1413 installcheck-perl: $(CHECK_PERL)
1414         @CHECK_PERL="$(CHECK_PERL)"; \
1415         if test -n "$(PERL)"; then \
1416                 for perlobj in $$CHECK_PERL; do \
1417                         $(PERL) $(CHECK_PERL_FLAGS) -c -w -T $$perlobj || exit 1; \
1418                 done; \
1419         fi
1420 installcheck-local: installcheck-perl
1421 check-shell: $(CHECK_SHELL)
1422         @CHECK_SHELL="$(CHECK_SHELL)"; \
1423         if test -n "$$CHECK_SHELL"; then \
1424                 if test -n "$(BASH)"; then \
1425                         for shobj in $$CHECK_SHELL; do \
1426                                 if $(BASH) -n $$shobj; then \
1427                                         echo "$$shobj syntax OK"; \
1428                                 else \
1429                                         echo "$$shobj syntax error"; \
1430                                         exit 1; \
1431                                 fi; \
1432                         done; \
1433                 else \
1434                         echo "No 'bash' available -- cannot syntax-check shell scripts"; \
1435                 fi; \
1436         fi
1437 check-local: check-shell
1438
1439 # make sure that the sources for all shell and perl scripts get included
1440 # in the distribution
1441 dist-scripts:
1442         SCRIPTS_PERL="$(SCRIPTS_PERL)"; SCRIPTS_SHELL="$(SCRIPTS_SHELL)"; SCRIPTS_AWK="$(SCRIPTS_AWK)"; \
1443         for script in $$SCRIPTS_PERL; do \
1444                 test -f $(srcdir)/$${script}.pl && { cp -p $(srcdir)/$${script}.pl $(distdir)/ || exit 1; } \
1445         done; \
1446         for script in $$SCRIPTS_SHELL; do \
1447                 test -f $(srcdir)/$${script}.sh && { cp -p $(srcdir)/$${script}.sh $(distdir)/ || exit 1; } \
1448         done; \
1449         for script in $$SCRIPTS_AWK; do \
1450                 test -f $(srcdir)/$${script}.awk && { cp -p $(srcdir)/$${script}.awk $(distdir)/ || exit 1; } \
1451         done; \
1452         for script in $$SCRIPTS_SHELL $$SCRIPTS_PERL $$SCRIPTS_AWK; do \
1453                 test -f $(srcdir)/$${script}.in && { cp -p $(srcdir)/$${script}.in $(distdir)/ || exit 1; } \
1454         done; \
1455         true
1456 dist-hook: dist-scripts
1457
1458 installperms-exec:
1459         @installperms="$(INSTALLPERMS_exec)"; \
1460         test -n "$$installperms" && echo "Setting installation permissions on executables"; \
1461         dest=; chown=; chmod=; \
1462         for cmd in $$installperms; do \
1463             case "$$cmd" in \
1464                 chown=amanda) \
1465                         echo "  ($$cmd)"; chown="$(BINARY_OWNER):$(SETUID_GROUP)";; \
1466                 dest=*|chown=*|chmod=*) \
1467                         echo "  ($$cmd)"; eval $$cmd;; \
1468                 *) $(do_file) ;; \
1469             esac; \
1470         done
1471
1472 installperms-data:
1473         @installperms="$(INSTALLPERMS_data)"; \
1474         dest=; chown=; chmod=; \
1475         for cmd in $$installperms; do \
1476             case "$$cmd" in \
1477                 chown=amanda) \
1478                         echo "  ($$cmd)"; chown="$(BINARY_OWNER):$(SETUID_GROUP)";; \
1479                 dest=*|chown=*|chmod=*) \
1480                         echo "  ($$cmd)"; eval $$cmd;; \
1481                 *)  $(do_file) ;; \
1482             esac; \
1483         done
1484
1485 install-exec-hook: installperms-exec
1486 install-data-hook: installperms-data
1487
1488 # define a rule to initialize the installperms manifest file
1489 @WANT_INSTALLPERMS_TRUE@installperms-init:
1490 @WANT_INSTALLPERMS_FALSE@installperms-init:
1491 @WANT_INSTALLPERMS_FALSE@       rm -f "$(installperms_sh)"
1492
1493 # A rule to make precompiler output from C files.  This is not used during
1494 # ordinary builds, but but can very useful in debugging problems on strange
1495 # architectures.  With this rule, we can ask users to 'make foo.i' and send
1496 # the result to us.
1497 #
1498 # It touches some automake internals ($COMPILE), but since it's not
1499 # build-critical, that's OK.
1500 %.i : %.c
1501         $(COMPILE) -E -o $@ $<
1502
1503 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1504 # Otherwise a system limit (for SysV at least) may be exceeded.
1505 .NOEXPORT: